@mixin clearfix {
    &::after {
        content: "";
        clear: both;
        display: table;
    }
}


// MEDIA QUERIES
/*

0 - 600px       :       phone
600 - 900px     :       tablet portrait
900 - 1200px    :       tablet landscape
(1200 - 1800px) :       normal style
1800px -        :       big desktop

$breakpoint arguments:
- phone
- tab-port
- tab-land
- big-desktop


*/

@mixin respond($breakpoint) {
    @if $breakpoint == phone {
        @media (max-width: 37.5em) { @content }; // 600px
    }
    @if $breakpoint == tab-port {
        @media (max-width: 56.25em) { @content }; // 900px
    }
    @if $breakpoint == tab-land {
        @media (max-width: 75em) { @content }; // 1200px
    } 
    @if $breakpoint == big-desktop {
        @media (min-width: 112.5em) { @content }; // 1800px
    }
}